{ Subscribers                                                           }
{                                                                       }
{ Maakt een dump naar een tekst file van de subscribers base            }
{                                                                       }
{ [MD] 11/07/94                                                         }


PROGRAM SubDump;

USES Database,Tdb;

VAR  L,Lp,Lp2: Longint;
     Rec : SubscriptBaseRecord;
     Txt : Text;

BEGIN

 IF (TdbOpen ('subscrip.tdb',SubscriptBaseTdbNr) = _TdbNotFound) THEN
  Exit;

 TdbSetIO (SubscriptBaseTdbNr,SizeOf (SubscriptBaseRecord));
 L := SubScriptBaseRecCount;

 Assign( Txt , '' );
 Rewrite( Txt );

 FOR Lp := 1 TO L DO
  BEGIN
   ReadSubscriptBaseRecord ( Lp , Rec );
   Write ( Txt , Lp , ' (' ,Rec.NextSegmentRecordNr,') ');
   FOR Lp2 := 1 TO 5 DO
    Write( Txt , Rec.AreaList[Lp2] , ' ');
   Writeln( Txt );
  END;

END.

